
<h1>
    Portrait
    <% if @organization %><em>of <%=@organization %></em>
    <% elsif @security %><em>of <%=@security %></em><% end %>
</h1>

<% unless @organization || @security %>
    Access this via URL to Security or Organization.
<% else %>

  <%=
    render :partial=>'smart_links',
        locals: {
            :item_to_portrait=>(@security ? @security : @organization),
            :shown_is=>(@security ? :security : :organization),
        }
  %>

  <h2>Overview</h2>
      <%= if @security
          render :partial=>'overview_security', :locals=>{ :security=>@security }
      else
          render :partial=>'overview_organization', :locals=>{ :organization=>@organization }
      end %>
<% end %>

<% unless @positions.blank? %>
<h2>Positions</h2>

<div id='portrait_positions_summary' class="overview_counters">
  <ul>
    <li class="<%= smr_profitloss_status @open_positions_gain, :css=>true %>">Open Positions Gain: <em><%= smr_humanize @open_positions_gain, :shortword=>true %></em></li>
    <li>Total Gain: <em><%= smr_humanize @all_positions_gain, :shortword=>true %></em></li>
    <li>Total Dividend: <em><%= smr_humanize @all_positions_dividend  %></em></li>
  </ul>
</div>

<table id='portrait_positions'>
  <thead>
    <tr>
        <th></th>
        <th>Status</th>
        <th>Average Cost<span>per share</span></th>
        <th><% if @security %>Size<% else %>Last Trade<% end %></th>
        <th>Profit / Loss</th>
        <th>Dividend / Interest</th>
    </tr>
  </thead>
  <tbody>
  <% @positions.each do |p| %>
    <tr class="separaterows">
      <td>
       <%= link_to '+', p.link.to_url %>
       <% if @organization %>
        <%= p.security %>
       <% else %>
        <%= p.is_closed? ? smr_humanize(p.time_closed) : '%s shares' % p.shares %>
       <% end %>
       <% if not p.comment.blank? %><span class="comment_text"><%= 'at %s:' % p.portfolio if p.is_cash_position? %> <%= p.comment %></span><% end %>
      </td>
      <td><span><%= p.status %></span> held at <%= p.portfolio %></td>
      <td><%= smr_humanize p.cost_price %></td>
      <td><%= if @security then
                smr_humanize( (p.is_closed? ? p.settled_volume : p.market_value ), :shortword=>true)
              else p.last_quote.last end %>
      </td>
      <td class="<%= smr_profitloss_status p.profit_loss, :css=>true %>">
        <%= smr_humanize p.profit_loss %>
      </td>
      <td>
        <%= smr_humanize p.dividend.received %>
      </td>
    </tr>
  <% end %>
  </tbody>
</table>
<% end %>

<% unless @cashflow.blank? %>
<h2>Upcoming Cashflows</h2>

<div id='portrait_cashflow_summary' class="overview_counters">
  <ul>
    <li class="profit">Total: <em><%= smr_humanize @cashflow.total, :shortword=>true %></em></li>
    <li>Number of Payments:   <em><%= @cashflow.count  %></em></li>
  </ul>
</div>


<table id='portrait_cashflow'>
  <thead>
    <tr>
        <th/>
       <% if @organization %>
        <th>Security</th>
       <% end %>
        <th>Type</th>
        <th colspan="2">Amount</th>
    </tr>
    <tr>
        <th/>
       <% if @organization %>
        <th/>
       <% end %>
        <th/>
        <th>per share</th>
        <th>absolute</th>
    </tr>
  </thead>
  <tbody>
  <% @cashflow.each do |i|
     s = Security.find i.link.destination
     scale = s.has_type_model? ? s.get_type.shares : 0
  %>
    <tr class="separaterows">
      <td><%= smr_humanize i.date %></td>
     <% if @organization %>
      <td><%= s %><%= link_to '...', i.link.to_url %></td>
     <% end %>
      <td><%= i.describe_type %></td>
      <td><%= smr_humanize i.total, :shortword=>true %></td>
      <td><%= smr_humanize i.total * scale, :shortword=>true %></td>
    </tr>
  <% end %>
  </tbody>
</table>
<% end %>
